Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QLibraryInfo

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QLibraryInfo

All Implemented Interfaces:
  QtJambiInterface

    public final class QLibraryInfo

extends QtJambiObject

The `QLibraryInfo` class provides information about the Qt library.

Many pieces of information are established when Qt is configured. Installation paths, license information, and even a unique build key. This class provides an abstraction for accessing this information.

Function | Return value
--- | ---
`buildKey` | A string that identifies the Qt version and the configuration. This key is used to ensure that plugins link against the same version of Qt as the application.
`location` | The path to a certain Qt component (e.g., documentation, header files).
`licensee`, `licensedProducts` | Licensing information.

You can also use a `qt.conf` file to override the hard-coded paths that are compiled into the Qt library. For more information, see the Using qt.conf documentation.

See Also:
  `QSysInfo`, Using qt.conf

Nested Class Summary
`static class` | `QLibraryInfo.LibraryLocation`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Method Summary
`static java.lang.String` | `buildKey()` Returns a unique key identifying this build of Qt and its configurations.
`static QLibraryInfo` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QLibraryInfo instance pointed to by nativePointer
`static java.lang.String` | `licensedProducts()` Returns the products that the license for this build of Qt has access to.
`static java.lang.String` | `licensee()` Returns the person to whom this build of Qt is licensed.
`static java.lang.String` | `location(QLibraryInfo.LibraryLocation arg__1)` Returns the location specified by `arg__1`.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### buildKey

    public static java.lang.String buildKey()

  Returns a unique key identifying this build of Qt and its configurations. This key is not globally unique, rather only useful for establishing of two configurations are compatible. This can be used to compare with the `QT_BUILD_KEY` preprocessor symbol.

  See Also:
    `location`

### licensedProducts

    public static java.lang.String licensedProducts()

  Returns the products that the license for this build of Qt has access to.

  See Also:
    `licensee`

### licensee

    public static java.lang.String licensee()

  Returns the person to whom this build of Qt is licensed.

  See Also:
    `licensedProducts`

### location

    public static java.lang.String location(QLibraryInfo.LibraryLocation arg__1)

  Returns the location specified by `arg__1`.

### fromNativePointer

    public static QLibraryInfo fromNativePointer(QNativePointer nativePointer)

  This function returns the QLibraryInfo instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD